Subject: Re: bug#25529: diagnosis and one approach to a fix

From: Dmitry Gutov <[email-masked]>
Date: Tue, 7 Feb 2017 04:20:40 +0200

On 06.02.2017 19:27, Tom Tromey wrote:

> Yep, adding a goto-char at the end of the function fixed this.
> Thanks for pointing that out; I'll add a test case for it.

Thanks.

> I think I understand combining the regexps.  But what does using a simple
> regexp for the closer mean?

Simple handler (not regexp), for the group corresponding to the closer 
(what's called a HIGHLIGHTn in syntax-propertize-rules docstring). The 
string "\"/", probably.

> Also, what is the purpose of the first call to
> js-syntax-propertize-regexp in js-syntax-propertize?

I'm not sure. Normally, that helps deal with multiline literals, but 
regexps in JavaScript are single-line. Maybe Stefan remembers.

Or maybe it was a result of confusion: the code deleted in 6cd18349 
includes this mistaken sentence: "XXX: Javascript can continue a regexp 
literal across lines so long as the newline is escaped with \."